export declare const compOperators: {
    readonly "<": {
        readonly symbol: "<";
        readonly selector: "$lt";
    };
    readonly ">": {
        readonly symbol: ">";
        readonly selector: "$gt";
    };
    readonly "<=": {
        readonly symbol: "≤";
        readonly selector: "$lte";
    };
    readonly ">=": {
        readonly symbol: "≥";
        readonly selector: "$gte";
    };
    readonly "!=": {
        readonly symbol: "≠";
        readonly selector: "$ne";
    };
    readonly "=": {
        readonly symbol: "=";
        readonly selector: "$eq";
    };
};
export declare type CompOperator = keyof typeof compOperators;
export declare type CompOpSymbol = (typeof compOperators)[keyof typeof compOperators]["symbol"];
export declare type CompOpSelector = (typeof compOperators)[keyof typeof compOperators]["selector"];
export declare const compOpsAndSymbols: Array<CompOpSymbol | CompOperator>;
export declare function compOpToSymbol(op: CompOpSymbol | CompOperator): CompOpSymbol;
export declare function compOpToSelector(op: CompOperator): CompOpSelector;
export declare const mathOperators: {
    "=": string;
    "*": string;
    "/": string;
    "+": string;
    "-": string;
};
export declare type MathOperator = keyof typeof mathOperators;
export declare type MathOpSymbol = (typeof mathOperators)[keyof typeof mathOperators];
export declare const mathOpsAndSymbols: Array<MathOpSymbol | MathOperator>;
export declare function mathOpToSymbol(op: MathOpSymbol | MathOperator): MathOpSymbol;
