import { CompOperator, CompOpSymbol } from "../helpers/operators";
import { KeyValueSuggestion, KeyValueTextDisplay } from "./KeyValueDatatypes";
import { KeyValueType } from "./KeyValueType";
interface SlackDateKeyValue {
    operator: CompOpSymbol | CompOperator;
    date: Date;
}
interface DateKeyValue extends SlackDateKeyValue {
    operator: CompOperator;
}
export default class DateKeyValueType extends KeyValueType<DateKeyValue> {
    static mongoSelectorFor(value: DateKeyValue): {
        [x: string]: Date;
    };
    private _dateFormat;
    set dateFormat(dateFormat: string);
    private _dateParseFormats;
    set dateParseFormats(dateParseFormats: string[]);
    getSuggestions(prefix: string): KeyValueSuggestion[];
    parseString(val: string): DateKeyValue | undefined;
    checkValue(val: any): DateKeyValue | undefined;
    display(value: SlackDateKeyValue): KeyValueTextDisplay;
    editText(value: SlackDateKeyValue): string;
}
export {};
