import { KeyValueDisplay, KeyValueSuggestion } from "./KeyValueDatatypes";
import { KeyValueEntry } from "./KeyValueEntry";
import { KeyValueType } from "./KeyValueType";
export interface Tag {
    value: string;
    editString?: string;
    display: KeyValueDisplay;
}
export default class TagKeyValueType extends KeyValueType<Tag> {
    private _tags;
    set tags(tags: string[] | Tag[]);
    private _allowOther;
    set allowOther(allowOther: boolean);
    getSuggestions(prefix: string, entries: Array<KeyValueEntry<any>>, defaultEntries: Array<KeyValueEntry<any>>, allowDuplicates: boolean): KeyValueSuggestion[];
    parseString(val: string): Tag | undefined;
    checkValue(val: any): Tag | undefined;
    display(value: Tag): KeyValueDisplay;
    editText(value: Tag): string;
    isValueEqual(valueA?: Tag, valueB?: Tag): boolean;
}
